Package org.springframework.security.web.server.header

# Enum Class CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy

java.lang.Object
java.lang.Enum<CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy>
org.springframework.security.web.server.header.CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy>`, `Constable`

Enclosing class:
  CrossOriginEmbedderPolicyServerHttpHeadersWriter

public static enum CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy extends Enum<CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`REQUIRE_CORP`
`UNSAFE_NONE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPolicy()`
`static CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSAFE_NONE

public static final CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy UNSAFE_NONE

### REQUIRE_CORP

public static final CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy REQUIRE_CORP

## Method Details

### values

public static CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPolicy

public String getPolicy()